package cz.muni.fi.pa165.services.tournament;

import cz.muni.fi.pa165.entity.TeamEntity;
import cz.muni.fi.pa165.entity.TournamentEntity;
import cz.muni.fi.pa165.dao.tournament.TournamentDao;
import cz.muni.fi.pa165.services.BaseService;

import java.util.List;

/**
 * @author Dominik Kozubík
 */
public interface TournamentService extends BaseService<TournamentEntity, TournamentDao> {
    List<TournamentEntity> getTournamentsByCity(String cityName);
    List<TournamentEntity> getTournamentsWonBy(TeamEntity team);
}
