package cz.muni.fi.pa165.entity;

import lombok.Getter;
import lombok.Setter;

import javax.persistence.*;

/**
 * @author mvalko
 */

@Setter
@Getter
@Entity
public class PlayerEntity extends PersonEntity {

    @ManyToOne
    @JoinColumn(name = "team_id_player")
    private TeamEntity team;

    private int killStat;

    private int deathStat;

    private int assistStat;

    public PlayerEntity() {
    }

    public PlayerEntity(String name){
        super(name);
    }
}
