package cz.muni.fi.pa165.services;

import java.util.List;
import java.util.UUID;

/**
 * @author Dominik Kozubík
 */
public interface BaseService <Entity, Dao> {
    void create(Entity t);

    List<Entity> findAll();

    Entity findById(UUID id);

    void update(Entity entity);

    void remove(Entity t);
}
